Summary: MyWLCG
Name: mywlcg
Version: 1.5.6
Release: 3%{?dist}
Source0: %{name}-%{version}.tar.gz
License: Apache license v2.0
Group: Web Application
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
Vendor: SAM Team, IT-GT-TOM, CERN <sam-support@cern.ch>
Url: https://cern.ch/mywlcg
Requires: python >= 2.4
Requires: python-gd >= 0.56
Requires: python-dateutil >= 1.2-1
Requires: Django >= 1.3
Requires: mywlcg-atp-api >= 1.25.3
Requires: mywlcg-atp-web >= 1.25.1
Requires: poem-sync >= 0.8.3
Requires: mod_wsgi
Requires: pisa = 3.0.33.2-1

%description
MyWLCG

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
chmod +x %{buildroot}/usr/share/mywlcg/manage
chmod +x %{buildroot}/usr/share/mywlcg/mywlcg.wsgi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%config(noreplace) %{_sysconfdir}/mywlcg/mywlcg.ini
%defattr(-,root,root)
%doc schema

%changelog -f media/ChangeLog.txt
